# Uses of Class
org.apache.zookeeper.common.X509Exception

Packages that use X509Exception
Package
Description
org.apache.zookeeper.common
org.apache.zookeeper.server.auth
org.apache.zookeeper.server.quorum

## Uses of X509Exception in org.apache.zookeeper.common

Subclasses of X509Exception in org.apache.zookeeper.common
Modifier and Type
Class
Description
`static class`
`X509Exception.KeyManagerException`
`static class`
`X509Exception.SSLContextException`
`static class`
`X509Exception.TrustManagerException`
Methods in org.apache.zookeeper.common that throw X509Exception
Modifier and Type
Method
Description
`SSLServerSocket`
X509Util.`createSSLServerSocket()`
`SSLServerSocket`
X509Util.`createSSLServerSocket(int port)`
`SSLSocket`
X509Util.`createSSLSocket()`
`SSLSocket`
X509Util.`createSSLSocket(Socket socket, byte[] pushbackBytes)`

## Uses of X509Exception in org.apache.zookeeper.server.auth

Constructors in org.apache.zookeeper.server.auth that throw X509Exception
Modifier
Constructor
Description
``
`X509AuthenticationProvider()`
Initialize the X509AuthenticationProvider with a JKS KeyStore and JKS TrustStore according to the following system properties:
`zookeeper.ssl.keyStore.location`
`zookeeper.ssl.trustStore.location`
`zookeeper.ssl.keyStore.password`
`zookeeper.ssl.keyStore.passwordPath`
`zookeeper.ssl.trustStore.password`
`zookeeper.ssl.trustStore.passwordPath`

## Uses of X509Exception in org.apache.zookeeper.server.quorum

Methods in org.apache.zookeeper.server.quorum that throw X509Exception
Modifier and Type
Method
Description
`protected Socket`
Learner.`createSocket()`
Creating a simple or and SSL socket.
`protected Leader`
QuorumPeer.`makeLeader(FileTxnSnapLog logFactory)`